CS5 & 6 upgrades
« on: January 30, 2017, 11:14:50 AM »
I am still at CS 4.2 Do I need to upgrade to CS5 before I do CS6

Re: CS5 & 6 upgrades
« Reply #1 on: February 10, 2017, 01:05:51 AM »
If your controller is a Mod 3, CS 4.2 was the last version to support Mod 3 controllers. 

If you're running on a Windows 7 or Windows 8 computer and have a newer controller, you should be able to go from CS 4.2 to CS 6.0 without an issue.  You will need to check your firmware first though.  If it is out of date, you will need to order a firmware update kit.
Jo Ann Gruber
Certified Statler Professional
Quilted Treasures - Eagle River, AK
Independent Authorized Dealer - Gammill Quilting Systems